<template>
    <div>
        {{ balance }} {{ symbol }}
        <button type="button" class="btn btn-default btn-xs" @click="getBalance"><i class="fas fa-sync" :class="updating_spin"></i></button>
    </div>
</template>

<script>
    import axios from 'axios';
	export default {
		props: ['payment_system', 'symbol', 'balance_action'],
        data(){
			return {
				balance: this.payment_system.balance || 0.00,
                updating_balance: false,
            }
        },
        computed: {
			updating_spin(){
				return {
					'fa-spin': this.updating_balance
				};
			}
        },
        methods: {
			getBalance(){
				this.updating_balance = true;
				axios.get(this.balance_action)
                    .then(({data}) => {
                    	console.log(data);
                    	this.balance = data.balance;
                    })
					.finally(() => {
						this.updating_balance = false;
					});
            }
        }
	}
</script>

<style scoped>

</style>
